Name:           persepolis
Version:        3.0.1
Release:        2%{?dist}
Summary:        A powerful download manager powered by aria2

License:        GPLv3+
URL:            https://persepolisdm.github.io/
Source0:        https://github.com/persepolisdm/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# Disable checking for runtime dependencies in setup.py. Upstream has agreed to
# replace it with a more appropriate implementation
Patch0:         persepolis-nodepscheck.diff

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  python3-setuptools
# libnotify is required for notify-send
Requires:       aria2 libnotify python3-qt5 python3-requests
Requires:       python3-setproctitle sound-theme-freedesktop python3-psutil pulseaudio-utils

%description
Persepolis is a download manager and a GUI for aria2 powered by Python.
 - Graphical UI front end for aria2
 - Multi-segment downloading
 - Scheduling downloads
 - Download queue


%prep
%autosetup
chmod a-x xdg/*.desktop
rm 'persepolis/Persepolis Download Manager.py'
find -type f -exec \
   sed -i '1s=^#!/usr/bin/\(python\|env python.*\)$=#!%{__python3}=' {} \;


%build
%{py3_build}


%install
%{py3_install}
chmod a+x %{buildroot}/%{python3_sitelib}/persepolis/__main__.py

%check
# No valid tests available
#%{__python3} setup.py test
desktop-file-validate %{buildroot}/%{_datadir}/applications/persepolis.desktop


%files
%license LICENSE
%doc README.md

%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 01 2018 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 3.0.1-2
- Add a comment about the patch
- more specific %files section

* Sat Dec 30 2017 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 3.0.1-1
- Initial version
